/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：
 * 
 * @作者：songx
 * @创建时间：2016年12月30日,上午11:44:11 @版本：1.0
 */
public class BookAdviser extends BaseEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = -7033983752406999837L;

	/**
	 * 书籍编辑标识
	 */
	private Long bookAdviserId;

	/**
	 * 书籍标识
	 */
	private Long bookId;

	/**
	 * 编辑标识
	 */
	private Long adviserId;

	/**
	 * 渠道标识
	 */
	private Long channelId;

	/**
	 * 模板标识
	 */
	private Long templetId;

	/**
	 * 创建人标识
	 */
	private Long createdUser;

	/**
	 * 刊物序号
	 */
	private String serialNumber;

	/**
	 * 是否是主编辑
	 */
	private Boolean isMainEditor;

	/**
	 * 是否已经被删除 1是 0否
	 */
	private Integer isDelete;

	/**
	 * 第二级类型
	 */
	private Long secondTempletId;

	public Long getTempletId() {
		return templetId;
	}

	public void setTempletId(Long templetId) {
		this.templetId = templetId;
	}

	public Long getBookAdviserId() {
		return bookAdviserId;
	}

	public void setBookAdviserId(Long bookAdviserId) {
		this.bookAdviserId = bookAdviserId;
	}

	public Long getBookId() {
		return bookId;
	}

	public void setBookId(Long bookId) {
		this.bookId = bookId;
	}

	public Long getAdviserId() {
		return adviserId;
	}

	public void setAdviserId(Long adviserId) {
		this.adviserId = adviserId;
	}

	public Long getChannelId() {
		return channelId;
	}

	public void setChannelId(Long channelId) {
		this.channelId = channelId;
	}

	public Long getCreatedUser() {
		return createdUser;
	}

	public void setCreatedUser(Long createdUser) {
		this.createdUser = createdUser;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Boolean getIsMainEditor() {
		return isMainEditor;
	}

	public void setIsMainEditor(Boolean isMainEditor) {
		this.isMainEditor = isMainEditor;
	}

	public Integer getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}

	public Long getSecondTempletId() {
		return secondTempletId;
	}

	public void setSecondTempletId(Long secondTempletId) {
		this.secondTempletId = secondTempletId;
	}

	@Override
	public String toString() {
		return "BookAdviser{" +
				"bookAdviserId=" + bookAdviserId +
				", bookId=" + bookId +
				", adviserId=" + adviserId +
				", channelId=" + channelId +
				", templetId=" + templetId +
				", createdUser=" + createdUser +
				", serialNumber='" + serialNumber + '\'' +
				", isMainEditor=" + isMainEditor +
				", isDelete=" + isDelete +
				", secondTempletId=" + secondTempletId +
				", createTime=" + createTime +
				", updateTime=" + updateTime +
				'}';
	}
}
